MANDB(8)

NOMBRE
mandb - crea o actualiza cachés del indexado de páginas del manual

SINOPSIS
mandb [-dqsucpt?V] [-C file] [manpath]
mandb [-dqsut] [-C fichero] -f nombrefichero ...

DESCRIPCIÓN
mandb se utiliza para inicializar o manualmente actualizar cachés indizadas de base de datos que estén normalmente mantenidas por man. Las cachés contienen información para el estado actual sistema de paginado manual y la información almacenada dentro de es utilizado por man-db para mejorar su velocidad y funcionalidad. Cuando crea o actualiza un índice, mandb advertirá acerca de malas peticiones .so ROFF, nombres de ficheros del manual ambiguos y páginas del manual desde la cual la whatis no puede ser interpretado. Suministrando mandb con una ruta opcional separada por dos puntos sobrescibirá la página del manual del sistema interna de ruta de jerarquía de búsqueda, determinada desde la información encontrada dentro del fichero de configuración de man-db.

CACHÉS DE BASE DE DATOS
mandb puede ser compilado con compatible para cualquier otro tipo de base de datos siguiente.
Nombre | Tipo | Asíncrono | Nombre del fichero
DB Berkeley | Árbol binario | Sí | index.bt
GNU gdbm | Firmado Hash | Sí | index.db
UNIX ndbm | Firmado Hash | No | index.(dir|pág)
Aquellos tipos de BD que son compatibles asíncronamente actualizaciones proporciona velocidad mejorada con el coste de posible corrupción en el evento de terminaciones no usuales. En un caso inusual donde esta ha ocurrido, quizá es necesarior reejecutar %nandb% con la opción -c para recrear la base de datos desde lo que queda.

OPCIONES

-d, --debug
    Muestra información depurativa.

-q, --quiet
    Producir sin advertencias.

-s, --no-straycats
    No pierda tiempo buscando o añadiendo información a la BD con respecto a los gatos callejeros.

-p, --no-purge
    No pierda tiempo comprobando para páginas del manual borradas y purgándolas desde la base de datos.

-c, --create
    Por defecto, mandb intentará actualizar cualquier base de datos anteriormente creada. Si una bd no existe, la creará. Esta opción fuerza mandb para borrar bases de datos anteriores y re-crearlas desde cero, e implica sin purgar --no-purge.. Esto quizá es necesario su una base de datos se corrompe o si un esquema de almacén de base de datos es introducido en el futuro.

-u, --user-db
    Crea una base de datos única, incluso con permisos de escritura necesariamente para crear bases de datos del sistema.

-t, --test
    Realiza comprobaciones de correcciones en páginas del manual dentro de la jerarquía de ruta de búsqueda. Con esta opción, mandb no alterarán la base de datos existente.

-f, --filename
    Actualiza solo los asientos para el nombre del fichero dado. Esta opción no está para uso común, está empleado internamente por man cuando ha sido compilado con la opción MAN_DB_UPDATES y encuentra que una página está fuera de dfecha. Implica -p y desactiva -c y -s.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario mejor que el predeterminado de ~/.manpath.

-?, --help
    Muestra este mensaje de utilización, después termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra la versión, después finaliza.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Utilización, sintaxis, o configuración errónea del fichero.

2   Error operacional.

3   Un subproceso fallaba.

DIAGNÓSTICOS
El siguiente mensaje de advertencia puede ser emitido durante construcción de base de datos.

<nombre de fichero>: whatis interpreta para paginado(sec) fallado
    Un intento para extraer que hau en la linea(s) desde el dado <nombre de fichero> fallado. Esto es hecho usualmente para un manual escrito pobre, pero si muchos mensages dados son emitidos es como si el sistema conteniesnen manual no estandarizado lo cual es incompatible con la BD man-db que interpreta. Vea la sección QUÉ ES INTERPRETAR en lexgrog(1) para más información.

<nombre de fichero>: es un enlace simbólico
    <nombre de fichero> no existe pero está referenciado por un enlace simbólico. Para más diagnósticos emitidos usualmente para identificar el <nombre de fichero> del enlace ofendido.

<nombrefichero>: equivocado enlace simbólico o petición ROFF `.so'
    <nombre-de-fichero> es o bien un enlace simbólico, o contiene una petición ROFF de destino incluido, un fichero no existente.

<nombrefichero>: ignorando nombre de fichero fingido
    El <nombrefichero> quizá puede o no puede ser una página del manual válida pero su nombre es inválido. Esto usualmente es debido a una página del manual con extensión seccional <x> que está puesta en la sección de la página del manual <y>.

<máscara_nombrefichero>: completando extensiones
    El comodín <nombrefichero_máscara> no es único, Esto es causado normalmente por la existencia de ambas versiones una comprimido y otra descomprimida de la misma página del manual. Todos excepto la más reciente son ignoradas.

FICHEROS

/etc/man_db.conf
    configuración de fichero man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD indexado compatible FHS.

Localizaciones anteriores para el caché de la BD incluidas:

/usr/man/index.(bt|db|dir|pag)
    Una caché de BD indexado global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Una alternativa o FSSTND complaciente global index caché de base de datos.

VEA ADEMÁS
lexgrog(1), man(1), manpath(5), catman(8)

La sección CUAL INTERPRETE formalmente dentro de esta página del manual ahora es parte de lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).